import { type ComponentProps } from 'react'

import { rootStyles, type RootStylesProps } from './Skeleton.styles'

type SkeletonProps = ComponentProps<'div'> & RootStylesProps

function Skeleton({ circle, size, className }: SkeletonProps) {
	return <span className={rootStyles({ circle, size, className })} />
}

export { Skeleton }
